%define _default_patch_fuzz 2

Name:		lxdm
Version:	0.2.0
Release:	%mkrel 1
License:	GPLv2+
Summary:	GUI login manager for LXDE
Group:		Graphical desktop/Other
URL:		http://www.lxde.org
Source0:	http://dfn.dl.sourceforge.net/sourceforge/lxde/%name-%version.tar.gz
#patch directly from upstream developers
# http://lxde.git.sourceforge.net/git/gitweb.cgi?p=lxde/lxdm;a=commit;h=093e79c41ab0276d627af732a45473d3571a689f
Patch1:         lxdm-0.2.0-fix-env-XAUTHORITY.patch
# distro specific patch, use IaOra GTK theme, use distro background
#
Patch10:	lxdm-0.2.0-mdv-customization.patch
BuildRequires:	intltool
BuildRequires:	consolekit-devel
BuildRequires:	libxmu-devel
BuildRequires:	pam-devel
BuildRequires:	iso-codes
BuildRequires:	gtk+2-devel
Requires:	iso-codes


%description
Light weight X11 display manager

%prep
%setup -q

%patch1 -p1 -b .fix-env-XAUTHORITY
%patch10 -p0 -b .mdv-customization

%build
%configure --with-x

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

mkdir -p %{buildroot}%{_datadir}/X11/dm.d/
cat > %{buildroot}%{_datadir}/X11/dm.d/27%{name}.conf << EOF
NAME=LXDM
PACKAGE=lxdm
DESCRIPTION=LXDE Login Manager
EXEC=%{_sbindir}/%{name}
EOF

%find_lang %{name}

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr (-,root,root,-)
%doc AUTHORS NEWS README COPYING INSTALL ChangeLog
%{_sysconfdir}/%{name}/Xsession
%dir %{_sysconfdir}/lxdm
%config %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/lxdm/lxdm.conf
%config(noreplace) %{_sysconfdir}/lxdm/LoginReady
%config(noreplace) %{_sysconfdir}/lxdm/PostLogin
%config(noreplace) %{_sysconfdir}/lxdm/PostLogout
%config(noreplace) %{_sysconfdir}/lxdm/PreLogin
%config(noreplace) %{_sysconfdir}/lxdm/PreReboot
%config(noreplace) %{_sysconfdir}/lxdm/PreShutdown
%config(noreplace) %{_datadir}/X11/dm.d/27%{name}.conf
%{_sysconfdir}/pam.d/%{name}
%{_sbindir}/%{name}
%{_sbindir}/%{name}-binary
%{_libdir}/%{name}-greeter-gtk
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/%{name}.glade
%{_datadir}/%{name}/themes/*
%{_datadir}/X11/dm.d/27%{name}.conf

%changelog
* Sat Jul 24 2010 Doktor5000 <rpm@mandrivauser.de> 0.2.0-1mud2010.1
- package rebased on Unity Linux package
- new version 0.2.0